package com.hwrj.cloud.admin.service.impl;

import com.github.pagehelper.PageHelper;
import com.hwrj.cloud.admin.dao.OmsPreItemDao;
import com.hwrj.cloud.admin.dto.param.PreItemWebPageParm;
import com.hwrj.cloud.admin.model.OmsPreItem;
import com.hwrj.cloud.admin.service.OmsPreItemService;
import com.hwrj.cloud.admin.util.CurrUserUtil;
import com.hwrj.cloud.common.exception.GlobalException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

@Slf4j
@Service
public class OmsPreItemServiceImpl implements OmsPreItemService {
    @Autowired
    private OmsPreItemDao omsPreItemDao;
    @Override
    public List<OmsPreItem> selectOmsPreItem() {
        log.info("wo men 莱");
        PageHelper.startPage(1,14);
        List<OmsPreItem> omsPreItems = omsPreItemDao.searchOmsPreItemDao();
        return omsPreItems;
    }

    @Override
    public void delete(Long id) {
        if (id == null){
            throw  new RuntimeException("删除失败");
        }
        omsPreItemDao.deletePreItemDao(id);
    }
    @Override
    public List<OmsPreItem> weblist(PreItemWebPageParm preItemWebPageParm){
        PageHelper.startPage(preItemWebPageParm.getPageNo(),preItemWebPageParm.getPageSize());
        Long compId = CurrUserUtil.getCompIdInfo();
        if(!StringUtils.isEmpty(compId)) {
            preItemWebPageParm.setCompId(compId);
        }
        if(!StringUtils.isEmpty(preItemWebPageParm.getCompId())) {
            preItemWebPageParm.setCompId(preItemWebPageParm.getCompId());
        }
        List<OmsPreItem> list = omsPreItemDao.weblist(preItemWebPageParm);
        return list;
    }

}
